Package skyview.geometry.distorter

# Class DSS

java.lang.Object
skyview.geometry.Transformer
skyview.geometry.Distorter
skyview.geometry.distorter.DSS

All Implemented Interfaces:
  `Serializable`, `Component`

public class DSS extends Distorter implements Component
The distortion object for a given DSS structure. This class is not thread safe.

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`DSS.DSSInv`
This inner class is the inverse of the DSS Distorter and corrects the distortion generated there.

## Constructor Summary

Constructors
Constructor
Description
`DSS(double plate_ra, double plate_dec, double x_pixel_size, double y_pixel_size, double plate_scale, double[] ppo_coeff, double[] x_coeff, double[] y_coeff)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
What does this object do?
`String`
`getName()`
Get the name of this component
`Distorter`
`inverse()`
The inverse Distorter (i.e., the undistorter) uses much of the same machinery, so we generate it as a inner class of the distorter.
`boolean`
`isInverse(Transformer t)`
Is this the inverse of another distorter?
`protected boolean`
`preserves()`
`void`
`transform(double[] x, double[] y)`
Convert a single point where the output vector is supplied.

### Methods inherited from class skyview.geometry.Distorter

`applyBeforeScaling, getInputDimension, getOutputDimension, jacobian`

### Methods inherited from class skyview.geometry.Transformer

`transform, transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DSS

public DSS(double plate_ra, double plate_dec, double x_pixel_size, double y_pixel_size, double plate_scale, double[] ppo_coeff, double[] x_coeff, double[] y_coeff)

## Method Details

### transform

public void transform(double[] x, double[] y)
Description copied from class: `Transformer`
Convert a single point where the output vector is supplied.

Specified by:
  `transform` in class `Transformer`
Parameters:
  `x` - The input vector.
  `y` - The output vector, it may be the same as the input vector if the dimensionalities are the same. All transformers are expected to work with aliased inputs and output.

### getName

public String getName()
Get the name of this component

Specified by:
  `getName` in interface `Component`
Specified by:
  `getName` in class `Distorter`

### getDescription

public String getDescription()
Description copied from class: `Distorter`
What does this object do?

Specified by:
  `getDescription` in interface `Component`
Specified by:
  `getDescription` in class `Distorter`

### preserves

protected boolean preserves()

### inverse

public Distorter inverse()
The inverse Distorter (i.e., the undistorter) uses much of the same machinery, so we generate it as a inner class of the distorter.

Specified by:
  `inverse` in class `Distorter`

### isInverse

public boolean isInverse(Transformer t)
Is this the inverse of another distorter?

Specified by:
  `isInverse` in class `Transformer`